我可以在Visual Studio 2008中使用.NET 4.0 beta吗?

在.NET 4.0中有一些非常棒的function,我想开始使用,但是我还不太适应VS 2010的变化。 有没有办法在VS 2008中使用.NET 4.0 beta?

5 Solutions collect form web for “我可以在Visual Studio 2008中使用.NET 4.0 beta吗?”

不,这是不可能的,.NET 4.0要求VS 2010能够定位/构build。

我不认为有 – IDE通常与特定版本的框架捆绑在一起,2008年是第一个允许您定位框架的“非本地”(所谓的)版本的版本,而不是只是匹配的版本。

虽然微软可能会在稍后添加支持,但我不希望他们,虽然我希望2010年能够针对4.0以外的不同版本(我没有使用它,所以它可能会这样做,我不知道它)。 更新: 据此 ,2010年的目标2,3,5.5和4。

目标4.0,你将不得不使用2010 – 至less现在,可能无限期。

一些与4.0一起发布的新东西将作为“扩展”和“CTP”发布,例如.NET 3.5的Parallels Extensions最终将包含在4.0中,但现在可以在VS 2008中开始使用。

不,VS 2008多目标选项只支持.NetFramework 3.5,3.0,2.0

所以它有一个向后兼容性,所以你必须使用VS 2010。NETFramework 4.0

这里的人已经说过了,不。

但是,如果您想查看一些.net 4的function,您可以下载已经老化的Parallel Exetnsions CTP,并使用Visual Studio 2008进行试用。

它不多

  • 在Visual Studio 2008testing框架中声明数组是平等的
  • 在Visual Studio中更改字体大小的快捷方式
  • entity framework如何与recursion层次结构一起工作? 包括()似乎不能使用它
  • Visual Studio(2008)“清洁解决scheme”选项
  • 如何从命令行编译Visual Studio项目?
  • v11.0 \ WebApplications \ Microsoft.WebApplication.targets在文件实际引用v10时未find
  • VS 2008不断删除并重新添加<SubType> ASPXCodeBehind </ SubType>
  • 我可以在Visual Studio 2008的C ++运行时库中使用Visual Studio 2010的C ++编译器吗?
  • 该安装不支持该项目types
  • 确定Visual Studio中的项目types
  • 我们可以在visual studio中的后期构build事件命令行中执行.bat文件吗?